<!DOCTYPE html>
<html>

 <head>
      <title>SLEGAL</title>
      <meta charset="utf-8">
      <meta name="viewport" content="width=device-width, initial-scale=1">
      <style>
         body {font-family: Arial, Helvetica, sans-serif;}
         * {box-sizing: border-box}
         /* Full-width input fields */
         input[type=text], input[type=password] {
         width: 100%;
         padding: 15px;
         margin: 5px 0 22px 0;
         display: inline-block;
         border: none;
         background: #f1f1f1;
         }
         input[type=text]:focus, input[type=password]:focus {
         background-color: #ddd;
         outline: none;
         }
         hr {
         border: 1px solid #f1f1f1;
         margin-bottom: 25px;
         }
         /* Set a style for all buttons */
         button {
         background-color: #04AA6D;
         color: white;
         padding: 14px 20px;
         margin: 8px 0;
         border: none;
         cursor: pointer;
         opacity: 0.9;
         }
         button:hover {
         opacity:1;
         }
         /* Extra styles for the cancel button */
         .btn-submit {
         background-color: #8a24ff;
         color: white;
         padding: 14px 20px;
         margin: 8px 0;
         border: none;
         cursor: pointer;
         width: auto; 
         opacity: 0.9;
         box-shadow: 0 2px 11px 2px #ccc;
         border-radius: 5px;
         }
         /* Add padding to container elements */
         .container {
         padding: 16px;
         }
         /* Clear floats */
         .clearfix::after {
         content: "";
         clear: both;
         display: table;
         }
         /* Change styles for cancel button and signup button on extra small screens */
         @media screen and (max-width: 300px) {
         .cancelbtn, .signupbtn {
         width: 100%;
         }
         }
         @media screen and (min-width: 700px) {
         .for-m
         {
         max-width: 500px;
         margin: auto;
         border-radius: 5px;
         box-shadow: 0 2px 11px 2px #ddd;
         margin-top:70px;
         }
         }
         .logo-set
         {
         text-align: center;
         padding: 20px 20px 0 20px;
         }
         .txt-center
         {
         text-align:center;
         }
      </style>
   </head>

<body>
    <div>
    	<h3>Reset Password Form</h3>
    	 <form class="for-m" style="">
         <div class="logo-set"><a href="javascript:void0;"><img src="logo.png" width="200"/></a></div>
         <div class="container">
            <h1 class="txt-center">Réinitialiser le mot de passe</h1>
            <hr>
            <label for="email"><b>Old Password</b></label>
            <input type="password" placeholder="" name="old-psw" required>
            <label for="psw"><b>New Password</b></label>
            <input type="password" placeholder="" name="psw" required>
            <label for="psw-repeat"><b>Confirm New Password</b></label>
            <input type="password" placeholder="" name="psw-repeat" required>
            <div class="txt-center">
               <button type="button" class="btn-submit">Submit</button>
            </div>
         </div>
      </form>
        <form>
            <label for="email"></label>
            <input type="email" name="email" id="email" required>
            <input type="submit" name="submit" id="forgotPasswordClickEvt" value="Send">
        </form>
    </div>
    <script type="text/javascript">
	    var forgotPasswordClickEvt = document.getElementById('forgotPasswordClickEvt');

	    forgotPasswordClickEvt.addEventListener('click', forgotPasswordClicked);

	    function forgotPasswordClicked(event) {
	        event.preventDefault();
	        var data = "email=" + document.getElementById('email').value;
	        ajaxCall(data, "http://localhost:3000/auth/forgot_password", function(status, response) {
	            if (status == 200) {
	                alert('successfully sent');
	            } else {
	                alert('Error', status)
	            }
	        });
	    }

	    function ajaxCall(data, url, callback) {
	        var xhttp = new XMLHttpRequest();
	        xhttp.open("POST", url, true);
	        xhttp.onreadystatechange = function() {
	            if (this.readyState == 4) {
	                return callback(this.status, JSON.parse(xhttp.response));
	            }
	        }
	        xhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
	        xhttp.send(data);
	    }
    </script>
</body>

</html>